@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
    color: #fff;
}

body {
    background: #111;
}

nav {
    position: fixed;
    top: 10px;
    right: 10px;
}

nav img {
    width: 50px;
    height: 50px;
    transition: all .5s ease;
}

nav img:hover {
    opacity: 0.7;
}

header {
    width: 100%;
    height: 100vh;
    background: #000;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 50px;
}

header img {
    width: 500px;
    margin-left: 100px;
    margin-top: 20px;
}

header h1 {
    margin-bottom: 10px;
    font-size: 40px;
}

header p {
    font-size: 20px;
}

.github {
    position: fixed;
    bottom: 10px;
    right: 10px;
    width: 100px;
}

section {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    margin-bottom: 70px;
}

section h2 {
    font-size: 25px;
    margin-bottom: 10px;
    text-align: center;
}

section p {
    text-align: center;
    margin: 10px;
}

input {
    color: #000;
    margin-top: 10px;
    padding: 10px;
    outline: none;
    border: none;
    border-radius: 4px;
}

section button {
    padding: 10px;
    border-radius: 4px;
    outline: none;
    border: none;
    background: #2652b1;
    cursor: pointer;
    transition: all .5s ease;
}

section button:hover {
    opacity: 0.7;
}

footer {
    width: 100%;
    padding: 50px;
    background: #000;
}

footer h2 {
    font-size: 40px;
    margin-bottom: 15px;
}

.goToDocs {
    color: #fff;
}

@media (max-width: 1000px) {
    header img {
        width: 400px;
    }
    header h1 {
        font-size: 35px;
    }
}

@media (max-width: 900px) {
    header img {
        width: 350px;
    }
    header h1 {
        font-size: 30px;
    }
    header p {
        font-size: 15px;
    }
}

@media (max-width: 800px) {
    header img {
        width: 300px;
    }
    header h1 {
        font-size: 30px;
    }
    header p {
        font-size: 15px;
    }
}

@media (max-width: 700px) {
    header img {
        margin-left: 20px;
    }
    header h1 {
        font-size: 30px;
    }
    header p {
        font-size: 15px;
    }
}

@media (max-width: 620px) {
    header {
        flex-direction: column;
    }

    header > div {
        margin-bottom: 50px;
    }

    header p, header h1 {
        text-align: center;
    }
}